@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100..900&display=swap');
*{
    margin: 0;
    padding: 0;
    font-family: "Noto Sans JP", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
  
}
body {
    background: #f0f4f8;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.login-box, .register-box, .forgot-password-box, .confirm-password-box {
    background: white;
    border-radius: 15px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
    padding: 30px;
    max-width: 400px;
    width: 100%;
    text-align: center;
}


.forgot-password:hover, .register-link:hover, .back-to-login-link:hover {
    text-decoration: underline;
}


h2 {
    color: #23a599;
    margin-bottom: 20px;
    font-size: 2.5rem;
    font-weight: 900;
}

.textbox {
    margin-bottom: 15px;
}

.textbox label {
    display: block;
    font-size: 1.2rem;
    color: #333;
    margin-bottom: 5px;
    text-align: left;
}

.textbox input,
.textbox select {
    width: 100%;
    padding: 10px;
    border: 2px solid #ddd;
    border-radius: 5px;
    outline: none;
    font-size: 1rem;
    background: #f9f9f9;
    transition: border-color 0.3s;
}

.remember-me {
    margin-bottom: 20px;
    text-align: left;
}

.actions {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.forgot-password {
    color: #2361a5;
    text-decoration: none;
    font-size: 0.9rem;
}

.forgot-password:hover {
    text-decoration: underline;
}

.btn {
    margin-top: 12px;
    background: #ff6f61;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1rem;
    width: 100%;
    transition: background 0.3s;
}

.login-link:visited , .register-link:visited{
    color: #2361a5;
    text-decoration: none;
}
.login-link , .register-link{
    color: #2361a5;
}
a.visited {
    text-decoration: none; /* Remove underline from visited links */
}

a:hover.visited {
    text-decoration: none; /* Ensure underline does not appear on hover */
}
